textures/ln_nofall/door_metaltrim
{
	qer_editorImage textures/ln_v1/door_metaltrim.tga
	surfaceparm nodamage	
	{
		map textures/ln_v1/door_metaltrim.tga
	}

}

textures/ln_slick/door_metaltrim
{
	qer_editorImage textures/ln_v1/door_metaltrim.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/ln_v1/door_metaltrim.tga
	}

}

textures/ln_v1/door_metaltrim:q3map
{
	surfaceparm nodamage
}

textures/ln_nofall/wrn_big
{
	qer_editorImage textures/ln_v1/wrn_big.tga
	surfaceparm nodamage
	surfaceparm nolightmap	
	{
		map textures/ln_v1/wrn_big.tga
	}

}

textures/ln_slick/wrn_big
{
	qer_editorImage textures/ln_v1/wrn_big.tga
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nolightmap
	
	{
		map textures/ln_v1/wrn_big.tga
	}

}

textures/ln_nofall/3stripes
{
	qer_editorImage textures/ln_v1/pittedrust3stripes_fix.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	
	{
		map textures/ln_v1/pittedrust3stripes_fix.tga
	}

}

textures/ln_slick/3stripes
{
	qer_editorImage textures/ln_v1/pittedrust3stripes_fix.tga
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nolightmap
	
	{
		map textures/ln_v1/pittedrust3stripes_fix.tga
	}

}

//	Foggy, stained glass with a cool chrome like finish when you walk by. 

textures/ln_glass/darkglass
{
	qer_editorimage textures/ln_v1/tinfx.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm glass
	surfaceparm nodamage

	cull disable
	{
		map textures/ln_v1/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ln_glass/darkglass_slick
{
	qer_editorimage textures/ln_v1/tinfx.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm glass
	surfaceparm slick
	surfaceparm nodamage

	cull disable
	{
		map textures/ln_v1/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/ln_v1/strat_skybox
{
	qer_editorimage textures/ln_v1/skybox.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 0.941 0.984 1.00 150 270 45
	skyparms textures/ln_v1/stratosphere2 - -
}

textures/ln_liquids/lava_bright
{
    qer_editorimage textures/ln_v1/lava_bg.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 600
    q3map_tesssize 96
    cull disable
    {
        map textures/ln_v1/lava_bg.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/ln_v1/lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/ln_liquids/lavacaulk
{
    qer_editorimage textures/ln_v1/qer_lava.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/ln_liquids/clear_calm1

//	*********************************************************
//	*      Medium clear calm water. Created September 9	*
//	*********************************************************
		
	{
		qer_editorimage textures/ln_v1/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/ln_v1/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/ln_v1/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	

	}

textures/ln_liquids/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/ln_v1/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/sfx/door_metaltrim:q3map
{
	surfaceparm nodamage
}

textures/sfx/wrn_big:q3map
{
	surfaceparm nodamage
}

textures/sfx/3stripes:q3map
{
	surfaceparm nodamage
}

textures/sfx/door_metaltrim_sl:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/sfx/wrn_big_sl:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/sfx/3stripes_sl:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/sfx/sn_rocketside:q3map
{
	surfaceparm nodamage
}

textures/sfx/sn_rocketside_sl:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/sfx/pittedrust3stripes_fix:q3map
{
	surfaceparm nodamage
}

textures/sfx/pittedrust3stripes_fix_sl:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/ln_teleporter/tp1
{
	qer_editorimage textures/ln_v1/starfield1.tga
	surfaceparm nodlights
	surfaceparm noimpact 
	q3map_surfacelight 500
	// first pass
	{
		map textures/ln_v1/starscroll1.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 1 0
		
	}	
	// second pass
	{
		map textures/ln_v1/starscroll2.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 0.75 0
		blendfunc add
	}	
	// third pass
	{
		map textures/ln_v1/starscroll1.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 0.5 0
		blendfunc add
	}	
}

textures/ln_misc/ladderclip
{
          qer_editorimage textures/ln_v1/ladderclip.tga
          qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}
